# Emy

**Emy** provides an efficient database for audio/video fingerprints.
Enables storing tens of thousands of audio/video tracks, which can be searched later.

Use cases:
* audio fingerprinting API
* broadcast content monitoring
* content deduplication
* second screen synchronization
* repeating content detection
* shazam style apps
 
Community Edition is free for non-commercial use.
To run the server:
```
docker run -d -v /persistent-dir:/app/data -p 3399:3399 -p 3340:3340 addictedcs/soundfingerprinting.emy:latest
```

**Emy** provides a backoffice interface which you can access on port :3340. In order to insert and query Emy server please install [SoundFingerprinting.Emy][emy-nuget] NuGet package.

More details on how audio fingerprinting works and how to use Emy can be found at https://emysound.com.

Blog: https://emysound.com/blog.

[emy-nuget]: https://www.nuget.org/packages/SoundFingerprinting.Emy